FROM golang:1.23

# Install build dependencies
RUN apt-get update && apt-get install -y \
    gcc-mingw-w64 \
    cmake \
    zip \
    libasound2-dev \
    mesa-common-dev \
    libx11-dev \
    libxrandr-dev \
    libxi-dev \
    xorg-dev \
    libgl1-mesa-dev \
    libglu1-mesa-dev \
    libwayland-dev \
    wayland-protocols \
    libxkbcommon-dev \
    && rm -rf /var/lib/apt/lists/*

WORKDIR /build

# Copy build scripts
COPY . /build/

# Set execute permissions
RUN chmod +x /build/scripts/build.sh

# Build command
CMD ["make", "all"] 